File: control

package info (click to toggle)
rust-slog 2.4.1-1
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 312 kB
  • sloc: makefile: 56
file content (121 lines) | stat: -rw-r--r-- 5,955 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
Source: rust-slog
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/slog]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/slog
Homepage: https://github.com/slog-rs/slog

Package: librust-slog-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Suggests:
 librust-slog+erased-serde-dev (= ${binary:Version}),
 librust-slog+nested-values-dev (= ${binary:Version})
Provides:
 librust-slog+default-dev (= ${binary:Version}),
 librust-slog+dynamic-keys-dev (= ${binary:Version}),
 librust-slog+max-level-debug-dev (= ${binary:Version}),
 librust-slog+max-level-error-dev (= ${binary:Version}),
 librust-slog+max-level-info-dev (= ${binary:Version}),
 librust-slog+max-level-off-dev (= ${binary:Version}),
 librust-slog+max-level-trace-dev (= ${binary:Version}),
 librust-slog+max-level-warn-dev (= ${binary:Version}),
 librust-slog+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog+release-max-level-error-dev (= ${binary:Version}),
 librust-slog+release-max-level-info-dev (= ${binary:Version}),
 librust-slog+release-max-level-off-dev (= ${binary:Version}),
 librust-slog+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog+std-dev (= ${binary:Version}),
 librust-slog-2-dev (= ${binary:Version}),
 librust-slog-2+default-dev (= ${binary:Version}),
 librust-slog-2+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+max-level-error-dev (= ${binary:Version}),
 librust-slog-2+max-level-info-dev (= ${binary:Version}),
 librust-slog-2+max-level-off-dev (= ${binary:Version}),
 librust-slog-2+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+std-dev (= ${binary:Version}),
 librust-slog-2.4-dev (= ${binary:Version}),
 librust-slog-2.4+default-dev (= ${binary:Version}),
 librust-slog-2.4+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.4+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.4+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.4+std-dev (= ${binary:Version}),
 librust-slog-2.4.1-dev (= ${binary:Version}),
 librust-slog-2.4.1+default-dev (= ${binary:Version}),
 librust-slog-2.4.1+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.4.1+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.4.1+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.4.1+std-dev (= ${binary:Version})
Description: Structured, extensible, composable logging for Rust - Rust source code
 This package contains the source for the Rust slog crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-slog+erased-serde-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slog-dev (= ${binary:Version}),
 librust-erased-serde-0.3+default-dev
Provides:
 librust-slog-2+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.4+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.4.1+erased-serde-dev (= ${binary:Version})
Description: Structured, extensible, composable logging for Rust - feature "erased-serde"
 This metapackage enables feature erased-serde for the Rust slog crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-slog+nested-values-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slog-dev (= ${binary:Version}),
 librust-erased-serde-0.3+default-dev
Provides:
 librust-slog-2+nested-values-dev (= ${binary:Version}),
 librust-slog-2.4+nested-values-dev (= ${binary:Version}),
 librust-slog-2.4.1+nested-values-dev (= ${binary:Version})
Description: Structured, extensible, composable logging for Rust - feature "nested-values"
 This metapackage enables feature nested-values for the Rust slog crate, by
 pulling in any additional dependencies needed by that feature.